package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum SettleWagesStatusEnum implements BaseEnum {
    NOT("NOT","未发放"),
    PART("PART","部分发放"),
    END("END","已发放"),
            ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
